Qt 5.9 | Qt 3D | C++ Classes | QDynamicPropertyUpdatedChange

Qt 5.9.3 Reference Documentation

# QDynamicPropertyUpdatedChange Class

(Qt3DCore::QDynamicPropertyUpdatedChange)

The QDynamicPropertyUpdatedChange class is used to notify when a dynamic property value is updated More...

Header: | #include <Qt3DCore/QDynamicPropertyUpdatedChange>
qmake: | QT += 3dcore
Inherits: | Qt3DCore::QPropertyUpdatedChangeBase

- List of all members, including inherited members

## Public Functions

| QDynamicPropertyUpdatedChange(QNodeId subjectId)
| ~QDynamicPropertyUpdatedChange()
QByteArray | propertyName() const
void | setPropertyName(const QByteArray &name)
void | setValue(const QVariant &value)
QVariant | value() const

- 4 public functions inherited from Qt3DCore::QSceneChange

## Protected Functions

| QDynamicPropertyUpdatedChange(QDynamicPropertyUpdatedChangePrivate &dd, QNodeId subjectId)

## Related Non-Members

typedef | QDynamicPropertyUpdatedChangePtr

## Detailed Description

The QDynamicPropertyUpdatedChange class is used to notify when a dynamic property value is updated

## Member Function Documentation

### QDynamicPropertyUpdatedChange::QDynamicPropertyUpdatedChange(QNodeId subjectId)

Constructs a new QDynamicPropertyUpdatedChange with subjectId.

### `[protected]` QDynamicPropertyUpdatedChange::QDynamicPropertyUpdatedChange(QDynamicPropertyUpdatedChangePrivate &dd, QNodeId subjectId)

Copy constructor.

### QDynamicPropertyUpdatedChange::~QDynamicPropertyUpdatedChange()

Destroys the instance of QDynamicPropertyUpdatedChange.

### QByteArray QDynamicPropertyUpdatedChange::propertyName() const

Returns name of the property.

See also setPropertyName().

### void QDynamicPropertyUpdatedChange::setPropertyName(const QByteArray &name)

Sets the property change name.

See also propertyName().

### void QDynamicPropertyUpdatedChange::setValue(const QVariant &value)

Set the property change value.

See also value().

### QVariant QDynamicPropertyUpdatedChange::value() const

Returns property value.

See also setValue().

## Related Non-Members

### typedef Qt3DCore::QDynamicPropertyUpdatedChangePtr

A shared pointer for QDynamicPropertyUpdatedChange.